aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2021-02-10 15:44:01 +0100
committerOliver Smith <osmith@sysmocom.de>2021-02-11 15:45:40 +0100
commit9206cf6b280af554ffabba2244fb733c44a0a874 (patch)
treedf92b5dd2ba0875ab35756cf91ff0c8dce41d7bc
parent892d910444f7572da9591305dce0e630aeec3104 (diff)
debian-stretch-titan: prepare: run 'make deps'
Run 'make deps' in ttcn3-docker-prepare.sh, if needed. Related: OS#5017 Change-Id: I9085203b27d310b63a035fd71f7c2a78d02710d4
-rwxr-xr-xdebian-stretch-titan/ttcn3-docker-prepare.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/debian-stretch-titan/ttcn3-docker-prepare.sh b/debian-stretch-titan/ttcn3-docker-prepare.sh
index d7363f5..2b3cbd7 100755
--- a/debian-stretch-titan/ttcn3-docker-prepare.sh
+++ b/debian-stretch-titan/ttcn3-docker-prepare.sh
@@ -25,4 +25,11 @@ fi
git rev-parse --abbrev-ref HEAD
git rev-parse HEAD
+# Update deps if Makefile changed since last 'make deps' (e.g. because
+# OSMO_TTCN3_BRANCH is different). The Dockerfile does the initial 'make deps'
+# and downloads /tmp/deps-Makefile.
+if ! diff -q /tmp/deps-Makefile deps/Makefile; then
+ make deps
+fi
+
make "$PROJECT"